## rust-blake3 1.5.4

=== c/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9 FATAL_ERROR)

# respect C_EXTENSIONS OFF without explicitly setting C_STANDARD
if (POLICY CMP0128)
  cmake_policy(SET CMP0128 NEW)
endif()
# mark_as_advanced does not implicitly create UNINITIALIZED cache entries
if (POLICY CMP0102)
  cmake_policy(SET CMP0102 NEW)
endif()

project(libblake3
  VERSION 1.5.4
  DESCRIPTION "BLAKE3 C implementation"
  LANGUAGES C ASM
)

include(FeatureSummary)
include(GNUInstallDirs)

# architecture lists for which to enable assembly / SIMD sources
set(BLAKE3_AMD64_NAMES amd64 AMD64 x86_64)
set(BLAKE3_X86_NAMES i686 x86 X86)
set(BLAKE3_ARMv8_NAMES aarch64 AArch64 arm64 ARM64 armv8 armv8a)
# default SIMD compiler flag configuration (can be overriden by toolchains or CLI)
if(MSVC)
  set(BLAKE3_CFLAGS_SSE2 "/arch:SSE2" CACHE STRING "the compiler flags to enable SSE2")
  # MSVC has no dedicated sse4.1 flag (see https://learn.microsoft.com/en-us/cpp/build/reference/arch-x86?view=msvc-170)
  set(BLAKE3_CFLAGS_SSE4.1 "/arch:AVX" CACHE STRING "the compiler flags to enable SSE4.1")
  set(BLAKE3_CFLAGS_AVX2 "/arch:AVX2" CACHE STRING "the compiler flags to enable AVX2")
  set(BLAKE3_CFLAGS_AVX512 "/arch:AVX512" CACHE STRING "the compiler flags to enable AVX512")

  set(BLAKE3_AMD64_ASM_SOURCES
    blake3_avx2_x86-64_windows_msvc.asm
    blake3_avx512_x86-64_windows_msvc.asm
    blake3_sse2_x86-64_windows_msvc.asm
    blake3_sse41_x86-64_windows_msvc.asm
  )

elseif(CMAKE_C_COMPILER_ID STREQUAL "GNU"
       OR CMAKE_C_COMPILER_ID STREQUAL "Clang"
       OR CMAKE_C_COMPILER_ID STREQUAL "AppleClang")
  set(BLAKE3_CFLAGS_SSE2 "-msse2" CACHE STRING "the compiler flags to enable SSE2")
  set(BLAKE3_CFLAGS_SSE4.1 "-msse4.1" CACHE STRING "the compiler flags to enable SSE4.1")
  set(BLAKE3_CFLAGS_AVX2 "-mavx2" CACHE STRING "the compiler flags to enable AVX2")
  set(BLAKE3_CFLAGS_AVX512 "-mavx512f -mavx512vl" CACHE STRING "the compiler flags to enable AVX512")

  if (WIN32)
    set(BLAKE3_AMD64_ASM_SOURCES
      blake3_avx2_x86-64_windows_gnu.S
      blake3_avx512_x86-64_windows_gnu.S
      blake3_sse2_x86-64_windows_gnu.S
      blake3_sse41_x86-64_windows_gnu.S
    )

  elseif(UNIX)
    set(BLAKE3_AMD64_ASM_SOURCES
      blake3_avx2_x86-64_unix.S
      blake3_avx512_x86-64_unix.S
      blake3_sse2_x86-64_unix.S
      blake3_sse41_x86-64_unix.S
    )
  endif()

  if (CMAKE_SYSTEM_PROCESSOR IN_LIST BLAKE3_ARMv8_NAMES
      AND NOT CMAKE_SIZEOF_VOID_P EQUAL 8)
    # 32-bit ARMv8 needs NEON to be enabled explicitly
    set(BLAKE3_CFLAGS_NEON "-mfpu=neon" CACHE STRING "the compiler flags to enable NEON")
  endif()
endif()

mark_as_advanced(BLAKE3_CFLAGS_SSE2 BLAKE3_CFLAGS_SSE4.1 BLAKE3_CFLAGS_AVX2 BLAKE3_CFLAGS_AVX512 BLAKE3_CFLAGS_NEON)
mark_as_advanced(BLAKE3_AMD64_ASM_SOURCES)

message(STATUS "BLAKE3 SIMD configuration: ${CMAKE_C_COMPILER_ARCHITECTURE_ID}")
if(MSVC AND DEFINED CMAKE_C_COMPILER_ARCHITECTURE_ID)
  if(CMAKE_C_COMPILER_ARCHITECTURE_ID MATCHES "[Xx]86")
    set(BLAKE3_SIMD_TYPE "x86-intrinsics" CACHE STRING "the SIMD acceleration type to use")

  elseif(CMAKE_C_COMPILER_ARCHITECTURE_ID MATCHES "[Xx]64")
    set(BLAKE3_SIMD_TYPE "amd64-asm" CACHE STRING "the SIMD acceleration type to use")

  elseif(CMAKE_C_COMPILER_ARCHITECTURE_ID MATCHES "[Aa][Rr][Mm]64")
    set(BLAKE3_SIMD_TYPE "neon-intrinsics" CACHE STRING "the SIMD acceleration type to use")

  else()
    set(BLAKE3_SIMD_TYPE "none" CACHE STRING "the SIMD acceleration type to use")
  endif()

elseif(CMAKE_SYSTEM_PROCESSOR IN_LIST BLAKE3_AMD64_NAMES)
  set(BLAKE3_SIMD_TYPE "amd64-asm" CACHE STRING "the SIMD acceleration type to use")

elseif(CMAKE_SYSTEM_PROCESSOR IN_LIST BLAKE3_X86_NAMES
       AND DEFINED BLAKE3_CFLAGS_SSE2
       AND DEFINED BLAKE3_CFLAGS_SSE4.1
       AND DEFINED BLAKE3_CFLAGS_AVX2
       AND DEFINED BLAKE3_CFLAGS_AVX512)
  set(BLAKE3_SIMD_TYPE "x86-intrinsics" CACHE STRING "the SIMD acceleration type to use")

elseif((CMAKE_SYSTEM_PROCESSOR IN_LIST BLAKE3_ARMv8_NAMES
          OR ANDROID_ABI STREQUAL "armeabi-v7a"
          OR BLAKE3_USE_NEON_INTRINSICS)
        AND (DEFINED BLAKE3_CFLAGS_NEON
          OR CMAKE_SIZEOF_VOID_P EQUAL 8))
  set(BLAKE3_SIMD_TYPE "neon-intrinsics" CACHE STRING "the SIMD acceleration type to use")

else()
  set(BLAKE3_SIMD_TYPE "none" CACHE STRING "the SIMD acceleration type to use")
endif()

mark_as_advanced(BLAKE3_SIMD_TYPE)

# library target
add_library(blake3
  blake3.c
  blake3_dispatch.c
  blake3_portable.c
)
add_library(BLAKE3::blake3 ALIAS blake3)

# library configuration
set(BLAKE3_PKGCONFIG_CFLAGS)
if (BUILD_SHARED_LIBS)
  target_compile_definitions(blake3
    PUBLIC BLAKE3_DLL
    PRIVATE BLAKE3_DLL_EXPORTS
  )
  list(APPEND BLAKE3_PKGCONFIG_CFLAGS -DBLAKE3_DLL)
endif()
target_include_directories(blake3 PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
  $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)
set_target_properties(blake3 PROPERTIES
  VERSION ${PROJECT_VERSION}
  SOVERSION 0
  C_VISIBILITY_PRESET hidden
  C_EXTENSIONS OFF
)
target_compile_features(blake3 PUBLIC c_std_99)
# ensure C_EXTENSIONS OFF is respected without overriding CMAKE_C_STANDARD
# which may be set by the user or toolchain file
if (NOT POLICY CMP0128 AND NOT DEFINED CMAKE_C_STANDARD)
  set_target_properties(blake3 PROPERTIES C_STANDARD 99)
endif()

# optional SIMD sources
if(BLAKE3_SIMD_TYPE STREQUAL "amd64-asm")
  if (NOT DEFINED BLAKE3_AMD64_ASM_SOURCES)
    message(FATAL_ERROR "BLAKE3_SIMD_TYPE is set to 'amd64-asm' but no assembly sources are available for the target architecture.")
  endif()
  set(BLAKE3_SIMD_AMD64_ASM ON)

  if(MSVC)
    enable_language(ASM_MASM)
  endif()

  target_sources(blake3 PRIVATE ${BLAKE3_AMD64_ASM_SOURCES})

elseif(BLAKE3_SIMD_TYPE STREQUAL "x86-intrinsics")
  if (NOT DEFINED BLAKE3_CFLAGS_SSE2
      OR NOT DEFINED BLAKE3_CFLAGS_SSE4.1
      OR NOT DEFINED BLAKE3_CFLAGS_AVX2
      OR NOT DEFINED BLAKE3_CFLAGS_AVX512)
    message(FATAL_ERROR "BLAKE3_SIMD_TYPE is set to 'x86-intrinsics' but no compiler flags are available for the target architecture.")
  endif()
  set(BLAKE3_SIMD_X86_INTRINSICS ON)

  target_sources(blake3 PRIVATE
    blake3_avx2.c
    blake3_avx512.c
    blake3_sse2.c
    blake3_sse41.c
  )
  set_source_files_properties(blake3_avx2.c PROPERTIES COMPILE_FLAGS "${BLAKE3_CFLAGS_AVX2}")
  set_source_files_properties(blake3_avx512.c PROPERTIES COMPILE_FLAGS "${BLAKE3_CFLAGS_AVX512}")
  set_source_files_properties(blake3_sse2.c PROPERTIES COMPILE_FLAGS "${BLAKE3_CFLAGS_SSE2}")
  set_source_files_properties(blake3_sse41.c PROPERTIES COMPILE_FLAGS "${BLAKE3_CFLAGS_SSE4.1}")

elseif(BLAKE3_SIMD_TYPE STREQUAL "neon-intrinsics")
  set(BLAKE3_SIMD_NEON_INTRINSICS ON)

  target_sources(blake3 PRIVATE
    blake3_neon.c
  )
  target_compile_definitions(blake3 PRIVATE
    BLAKE3_USE_NEON=1
  )

  if (DEFINED BLAKE3_CFLAGS_NEON)
    set_source_files_properties(blake3_neon.c PROPERTIES COMPILE_FLAGS "${BLAKE3_CFLAGS_NEON}")
  endif()

elseif(BLAKE3_SIMD_TYPE STREQUAL "none")
  target_compile_definitions(blake3 PRIVATE
    BLAKE3_USE_NEON=0
    BLAKE3_NO_SSE2
    BLAKE3_NO_SSE41
    BLAKE3_NO_AVX2
    BLAKE3_NO_AVX512
  )

else()
  message(FATAL_ERROR "BLAKE3_SIMD_TYPE is set to an unknown value: '${BLAKE3_SIMD_TYPE}'")
endif()

# cmake install support
install(FILES blake3.h DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}")
install(TARGETS blake3 EXPORT blake3-targets)
install(EXPORT blake3-targets
  NAMESPACE BLAKE3::
  DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/blake3"
)

include(CMakePackageConfigHelpers)
configure_package_config_file(blake3-config.cmake.in
    "${CMAKE_CURRENT_BINARY_DIR}/blake3-config.cmake"

    INSTALL_DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/blake3"
)
write_basic_package_version_file(
    "${CMAKE_CURRENT_BINARY_DIR}/blake3-config-version.cmake"
    VERSION ${libblake3_VERSION}
    COMPATIBILITY SameMajorVersion
)
install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/blake3-config.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/blake3-config-version.cmake"
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/blake3"
)

configure_file(libblake3.pc.in libblake3.pc @ONLY)
install(FILES "${CMAKE_BINARY_DIR}/libblake3.pc"
  DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

# print feature summary
# add_feature_info cannot directly use the BLAKE3_SIMD_TYPE :(
add_feature_info("AMD64 assembly" BLAKE3_SIMD_AMD64_ASM "The library uses hand written amd64 SIMD assembly.")
add_feature_info("x86 SIMD intrinsics" BLAKE3_SIMD_X86_INTRINSICS "The library uses x86 SIMD intrinsics.")
add_feature_info("NEON SIMD intrinsics" BLAKE3_SIMD_NEON_INTRINSICS "The library uses NEON SIMD intrinsics.")
feature_summary(WHAT ENABLED_FEATURES)

## rust-blake3 1.2.0

=== debian/changelog ===
rust-blake3 (1.2.0-3) unstable; urgency=medium

  * Team upload.
  * Package blake3 1.2.0 from crates.io using debcargo 2.5.0
  * Mark autopkgtest for "neon" feature as broken, it fails to build on
    architectures that don't have neon.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 19 Dec 2021 21:58:09 +0000

rust-blake3 (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Package blake3 1.2.0 from crates.io using debcargo 2.5.0
  * Add built-using metadata for i386 and arm64 to fix FTBFS.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 19 Dec 2021 11:51:05 +0000

rust-blake3 (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * Package blake3 1.2.0 from crates.io using debcargo 2.5.0
  * Eliminate dev-dependency on rust-page-size which is not currently
    in Debian, use a fixed value of 65536 (a multiple of all common
    page sizes) in the bench instead.
  * Adjust dependencies to match what is in Debian.
  * Add reference_impl from upstream git, so the tests and benches
    can run.
  * Add patch based on a revert of an upstream commit to support versions
    of rand and rand-chacha in Debian.
  * Mark tests for the all features case as "broken", some features are
    mutually exclusive.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 19 Dec 2021 01:26:32 +0000

rust-blake3 (0.3.7-1) unstable; urgency=medium

  * Package blake3 0.3.7 from crates.io using debcargo 2.4.3

 -- karthek <mail@karthek.com>  Fri, 24 Sep 2021 23:24:32 +0200

=== debian/control ===
Source: rust-blake3
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-arrayref-0.3+default-dev (>= 0.3.5-~~) <!nocheck>,
 librust-arrayvec-0.7-dev <!nocheck>,
 librust-cc-1+default-dev (>= 1.0.4-~~) <!nocheck>,
 librust-cfg-if-1+default-dev <!nocheck>,
 librust-constant-time-eq-0.1+default-dev (>= 0.1.5-~~) <!nocheck>,
 librust-digest-0.9+std-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 karthek <mail@karthek.com>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/blake3]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/blake3
Rules-Requires-Root: no

Package: librust-blake3-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-arrayref-0.3+default-dev (>= 0.3.5-~~),
 librust-arrayvec-0.7-dev,
 librust-cc-1+default-dev (>= 1.0.4-~~),
 librust-cfg-if-1+default-dev,
 librust-constant-time-eq-0.1+default-dev (>= 0.1.5-~~),
 librust-crypto-mac-0.10+default-dev,
 librust-digest-0.9+default-dev,
 librust-digest-0.9+std-dev,
 librust-rayon-1+default-dev (>= 1.1.0-~~)
Provides:
 librust-blake3+crypto-mac-dev (= ${binary:Version}),
 librust-blake3+default-dev (= ${binary:Version}),
 librust-blake3+digest-dev (= ${binary:Version}),
 librust-blake3+neon-dev (= ${binary:Version}),
 librust-blake3+no-avx2-dev (= ${binary:Version}),
 librust-blake3+no-avx512-dev (= ${binary:Version}),
 librust-blake3+no-neon-dev (= ${binary:Version}),
 librust-blake3+no-sse2-dev (= ${binary:Version}),
 librust-blake3+no-sse41-dev (= ${binary:Version}),
 librust-blake3+prefer-intrinsics-dev (= ${binary:Version}),
 librust-blake3+pure-dev (= ${binary:Version}),
 librust-blake3+rayon-dev (= ${binary:Version}),
 librust-blake3+std-dev (= ${binary:Version}),
 librust-blake3+traits-preview-dev (= ${binary:Version}),
 librust-blake3-1-dev (= ${binary:Version}),
 librust-blake3-1+crypto-mac-dev (= ${binary:Version}),
 librust-blake3-1+default-dev (= ${binary:Version}),
 librust-blake3-1+digest-dev (= ${binary:Version}),
 librust-blake3-1+neon-dev (= ${binary:Version}),
 librust-blake3-1+no-avx2-dev (= ${binary:Version}),
 librust-blake3-1+no-avx512-dev (= ${binary:Version}),
 librust-blake3-1+no-neon-dev (= ${binary:Version}),
 librust-blake3-1+no-sse2-dev (= ${binary:Version}),
 librust-blake3-1+no-sse41-dev (= ${binary:Version}),
 librust-blake3-1+prefer-intrinsics-dev (= ${binary:Version}),
 librust-blake3-1+pure-dev (= ${binary:Version}),
 librust-blake3-1+rayon-dev (= ${binary:Version}),
 librust-blake3-1+std-dev (= ${binary:Version}),
 librust-blake3-1+traits-preview-dev (= ${binary:Version}),
 librust-blake3-1.2-dev (= ${binary:Version}),
 librust-blake3-1.2+crypto-mac-dev (= ${binary:Version}),
 librust-blake3-1.2+default-dev (= ${binary:Version}),
 librust-blake3-1.2+digest-dev (= ${binary:Version}),
 librust-blake3-1.2+neon-dev (= ${binary:Version}),
 librust-blake3-1.2+no-avx2-dev (= ${binary:Version}),
 librust-blake3-1.2+no-avx512-dev (= ${binary:Version}),
 librust-blake3-1.2+no-neon-dev (= ${binary:Version}),
 librust-blake3-1.2+no-sse2-dev (= ${binary:Version}),
 librust-blake3-1.2+no-sse41-dev (= ${binary:Version}),
 librust-blake3-1.2+prefer-intrinsics-dev (= ${binary:Version}),
 librust-blake3-1.2+pure-dev (= ${binary:Version}),
 librust-blake3-1.2+rayon-dev (= ${binary:Version}),
 librust-blake3-1.2+std-dev (= ${binary:Version}),
 librust-blake3-1.2+traits-preview-dev (= ${binary:Version}),
 librust-blake3-1.2.0-dev (= ${binary:Version}),
 librust-blake3-1.2.0+crypto-mac-dev (= ${binary:Version}),
 librust-blake3-1.2.0+default-dev (= ${binary:Version}),
 librust-blake3-1.2.0+digest-dev (= ${binary:Version}),
 librust-blake3-1.2.0+neon-dev (= ${binary:Version}),
 librust-blake3-1.2.0+no-avx2-dev (= ${binary:Version}),
 librust-blake3-1.2.0+no-avx512-dev (= ${binary:Version}),
 librust-blake3-1.2.0+no-neon-dev (= ${binary:Version}),
 librust-blake3-1.2.0+no-sse2-dev (= ${binary:Version}),
 librust-blake3-1.2.0+no-sse41-dev (= ${binary:Version}),
 librust-blake3-1.2.0+prefer-intrinsics-dev (= ${binary:Version}),
 librust-blake3-1.2.0+pure-dev (= ${binary:Version}),
 librust-blake3-1.2.0+rayon-dev (= ${binary:Version}),
 librust-blake3-1.2.0+std-dev (= ${binary:Version}),
 librust-blake3-1.2.0+traits-preview-dev (= ${binary:Version})
Description: BLAKE3 hash function - Rust source code
 This package contains the source for the Rust blake3 crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test blake3 1.2.0 --all-targets --all-features
Features: test-name=rust-blake3:@
Depends: dh-cargo (>= 18), librust-hex-0.4+default-dev (>= 0.4.2-~~), librust-rand-0.7+default-dev (>= 0.7.2-~~), librust-rand-chacha-0.2+default-dev (>= 0.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test blake3 1.2.0 --all-targets --no-default-features --features crypto-mac
Features: test-name=librust-blake3-dev:crypto-mac
Depends: dh-cargo (>= 18), librust-hex-0.4+default-dev (>= 0.4.2-~~), librust-rand-0.7+default-dev (>= 0.7.2-~~), librust-rand-chacha-0.2+default-dev (>= 0.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test blake3 1.2.0 --all-targets 
Features: test-name=librust-blake3-dev:default
Depends: dh-cargo (>= 18), librust-hex-0.4+default-dev (>= 0.4.2-~~), librust-rand-0.7+default-dev (>= 0.7.2-~~), librust-rand-chacha-0.2+default-dev (>= 0.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test blake3 1.2.0 --all-targets --no-default-features --features digest
Features: test-name=librust-blake3-dev:digest
Depends: dh-cargo (>= 18), librust-hex-0.4+default-dev (>= 0.4.2-~~), librust-rand-0.7+default-dev (>= 0.7.2-~~), librust-rand-chacha-0.2+default-dev (>= 0.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test blake3 1.2.0 --all-targets --no-default-features --features neon
Features: test-name=librust-blake3-dev:neon
Depends: dh-cargo (>= 18), librust-hex-0.4+default-dev (>= 0.4.2-~~), librust-rand-0.7+default-dev (>= 0.7.2-~~), librust-rand-chacha-0.2+default-dev (>= 0.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test blake3 1.2.0 --all-targets --no-default-features --features no_avx2
Features: test-name=librust-blake3-dev:no_avx2
Depends: dh-cargo (>= 18), librust-hex-0.4+default-dev (>= 0.4.2-~~), librust-rand-0.7+default-dev (>= 0.7.2-~~), librust-rand-chacha-0.2+default-dev (>= 0.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test blake3 1.2.0 --all-targets --no-default-features --features no_avx512
Features: test-name=librust-blake3-dev:no_avx512
Depends: dh-cargo (>= 18), librust-hex-0.4+default-dev (>= 0.4.2-~~), librust-rand-0.7+default-dev (>= 0.7.2-~~), librust-rand-chacha-0.2+default-dev (>= 0.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test blake3 1.2.0 --all-targets --no-default-features --features no_neon
Features: test-name=librust-blake3-dev:no_neon
Depends: dh-cargo (>= 18), librust-hex-0.4+default-dev (>= 0.4.2-~~), librust-rand-0.7+default-dev (>= 0.7.2-~~), librust-rand-chacha-0.2+default-dev (>= 0.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

## rust-blake3 1.3.1

=== debian/changelog ===
rust-blake3 (1.3.1-1) unstable; urgency=medium

  * Team upload.
  * Package blake3 1.3.1 from crates.io using debcargo 2.5.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 01 Jun 2022 20:52:49 +0200

=== debian/control ===
Source: rust-blake3
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-arrayref-0.3+default-dev (>= 0.3.5-~~) <!nocheck>,
 librust-arrayvec-0.7-dev <!nocheck>,
 librust-cc-1+default-dev (>= 1.0.4-~~) <!nocheck>,
 librust-cfg-if-1+default-dev <!nocheck>,
 librust-constant-time-eq-0.1+default-dev (>= 0.1.5-~~) <!nocheck>,
 librust-digest-0.10+std-dev (>= 0.10.1-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 karthek <mail@karthek.com>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/blake3]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/blake3
Rules-Requires-Root: no

Package: librust-blake3-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-arrayref-0.3+default-dev (>= 0.3.5-~~),
 librust-arrayvec-0.7-dev,
 librust-cc-1+default-dev (>= 1.0.4-~~),
 librust-cfg-if-1+default-dev,
 librust-constant-time-eq-0.1+default-dev (>= 0.1.5-~~),
 librust-digest-0.10+default-dev (>= 0.10.1-~~),
 librust-digest-0.10+mac-dev (>= 0.10.1-~~),
 librust-digest-0.10+std-dev (>= 0.10.1-~~),
 librust-rayon-1+default-dev (>= 1.1.0-~~)
Provides:
 librust-blake3+default-dev (= ${binary:Version}),
 librust-blake3+digest-dev (= ${binary:Version}),
 librust-blake3+neon-dev (= ${binary:Version}),
 librust-blake3+no-avx2-dev (= ${binary:Version}),
 librust-blake3+no-avx512-dev (= ${binary:Version}),
 librust-blake3+no-neon-dev (= ${binary:Version}),
 librust-blake3+no-sse2-dev (= ${binary:Version}),
 librust-blake3+no-sse41-dev (= ${binary:Version}),
 librust-blake3+prefer-intrinsics-dev (= ${binary:Version}),
 librust-blake3+pure-dev (= ${binary:Version}),
 librust-blake3+rayon-dev (= ${binary:Version}),
 librust-blake3+std-dev (= ${binary:Version}),
 librust-blake3+traits-preview-dev (= ${binary:Version}),
 librust-blake3-1-dev (= ${binary:Version}),
 librust-blake3-1+default-dev (= ${binary:Version}),
 librust-blake3-1+digest-dev (= ${binary:Version}),
 librust-blake3-1+neon-dev (= ${binary:Version}),
 librust-blake3-1+no-avx2-dev (= ${binary:Version}),
 librust-blake3-1+no-avx512-dev (= ${binary:Version}),
 librust-blake3-1+no-neon-dev (= ${binary:Version}),
 librust-blake3-1+no-sse2-dev (= ${binary:Version}),
 librust-blake3-1+no-sse41-dev (= ${binary:Version}),
 librust-blake3-1+prefer-intrinsics-dev (= ${binary:Version}),
 librust-blake3-1+pure-dev (= ${binary:Version}),
 librust-blake3-1+rayon-dev (= ${binary:Version}),
 librust-blake3-1+std-dev (= ${binary:Version}),
 librust-blake3-1+traits-preview-dev (= ${binary:Version}),
 librust-blake3-1.3-dev (= ${binary:Version}),
 librust-blake3-1.3+default-dev (= ${binary:Version}),
 librust-blake3-1.3+digest-dev (= ${binary:Version}),
 librust-blake3-1.3+neon-dev (= ${binary:Version}),
 librust-blake3-1.3+no-avx2-dev (= ${binary:Version}),
 librust-blake3-1.3+no-avx512-dev (= ${binary:Version}),
 librust-blake3-1.3+no-neon-dev (= ${binary:Version}),
 librust-blake3-1.3+no-sse2-dev (= ${binary:Version}),
 librust-blake3-1.3+no-sse41-dev (= ${binary:Version}),
 librust-blake3-1.3+prefer-intrinsics-dev (= ${binary:Version}),
 librust-blake3-1.3+pure-dev (= ${binary:Version}),
 librust-blake3-1.3+rayon-dev (= ${binary:Version}),
 librust-blake3-1.3+std-dev (= ${binary:Version}),
 librust-blake3-1.3+traits-preview-dev (= ${binary:Version}),
 librust-blake3-1.3.1-dev (= ${binary:Version}),
 librust-blake3-1.3.1+default-dev (= ${binary:Version}),
 librust-blake3-1.3.1+digest-dev (= ${binary:Version}),
 librust-blake3-1.3.1+neon-dev (= ${binary:Version}),
 librust-blake3-1.3.1+no-avx2-dev (= ${binary:Version}),
 librust-blake3-1.3.1+no-avx512-dev (= ${binary:Version}),
 librust-blake3-1.3.1+no-neon-dev (= ${binary:Version}),
 librust-blake3-1.3.1+no-sse2-dev (= ${binary:Version}),
 librust-blake3-1.3.1+no-sse41-dev (= ${binary:Version}),
 librust-blake3-1.3.1+prefer-intrinsics-dev (= ${binary:Version}),
 librust-blake3-1.3.1+pure-dev (= ${binary:Version}),
 librust-blake3-1.3.1+rayon-dev (= ${binary:Version}),
 librust-blake3-1.3.1+std-dev (= ${binary:Version}),
 librust-blake3-1.3.1+traits-preview-dev (= ${binary:Version})
Description: BLAKE3 hash function - Rust source code
 This package contains the source for the Rust blake3 crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test blake3 1.3.1 --all-targets --all-features
Features: test-name=rust-blake3:@
Depends: dh-cargo (>= 18), librust-hex-0.4+default-dev (>= 0.4.2-~~), librust-hmac-0.12+default-dev, librust-rand-0.7+default-dev (>= 0.7.2-~~), librust-rand-chacha-0.2+default-dev (>= 0.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test blake3 1.3.1 --all-targets 
Features: test-name=librust-blake3-dev:default
Depends: dh-cargo (>= 18), librust-hex-0.4+default-dev (>= 0.4.2-~~), librust-hmac-0.12+default-dev, librust-rand-0.7+default-dev (>= 0.7.2-~~), librust-rand-chacha-0.2+default-dev (>= 0.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test blake3 1.3.1 --all-targets --no-default-features --features digest
Features: test-name=librust-blake3-dev:digest
Depends: dh-cargo (>= 18), librust-hex-0.4+default-dev (>= 0.4.2-~~), librust-hmac-0.12+default-dev, librust-rand-0.7+default-dev (>= 0.7.2-~~), librust-rand-chacha-0.2+default-dev (>= 0.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test blake3 1.3.1 --all-targets --no-default-features --features neon
Features: test-name=librust-blake3-dev:neon
Depends: dh-cargo (>= 18), librust-hex-0.4+default-dev (>= 0.4.2-~~), librust-hmac-0.12+default-dev, librust-rand-0.7+default-dev (>= 0.7.2-~~), librust-rand-chacha-0.2+default-dev (>= 0.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test blake3 1.3.1 --all-targets --no-default-features --features no_avx2
Features: test-name=librust-blake3-dev:no_avx2
Depends: dh-cargo (>= 18), librust-hex-0.4+default-dev (>= 0.4.2-~~), librust-hmac-0.12+default-dev, librust-rand-0.7+default-dev (>= 0.7.2-~~), librust-rand-chacha-0.2+default-dev (>= 0.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test blake3 1.3.1 --all-targets --no-default-features --features no_avx512
Features: test-name=librust-blake3-dev:no_avx512
Depends: dh-cargo (>= 18), librust-hex-0.4+default-dev (>= 0.4.2-~~), librust-hmac-0.12+default-dev, librust-rand-0.7+default-dev (>= 0.7.2-~~), librust-rand-chacha-0.2+default-dev (>= 0.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test blake3 1.3.1 --all-targets --no-default-features --features no_neon
Features: test-name=librust-blake3-dev:no_neon
Depends: dh-cargo (>= 18), librust-hex-0.4+default-dev (>= 0.4.2-~~), librust-hmac-0.12+default-dev, librust-rand-0.7+default-dev (>= 0.7.2-~~), librust-rand-chacha-0.2+default-dev (>= 0.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test blake3 1.3.1 --all-targets --no-default-features --features no_sse2
Features: test-name=librust-blake3-dev:no_sse2

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/blake3-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/blake3 .*/crates/blake3/@ANY_VERSION@/download

## rust-blake3 1.5.4

=== debian/changelog ===
rust-blake3 (1.5.4-1) unstable; urgency=medium

  * Team upload.
  * Package blake3 1.5.4 from crates.io using debcargo 2.6.1
  * Add the new Apache 2.0 with LLVM exceptions license to d/copyright
  * Disable benches

 -- Blair Noctis <ncts@debian.org>  Thu, 29 Aug 2024 04:20:49 +0000

rust-blake3 (1.5.1-1) unstable; urgency=medium

  * Team upload.
  * Package blake3 1.5.1 from crates.io using debcargo 2.6.1
  * Refresh old and drop outdated patches

 -- Blair Noctis <n@sail.ng>  Thu, 01 Aug 2024 16:43:10 +0000

=== debian/control ===
Source: rust-blake3
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-arrayref-0.3+default-dev (>= 0.3.5-~~) <!nocheck>,
 librust-arrayvec-0.7-dev (>= 0.7.4-~~) <!nocheck>,
 librust-cc-1+default-dev (>= 1.1.12-~~) <!nocheck>,
 librust-cfg-if-1+default-dev <!nocheck>,
 librust-constant-time-eq-0.3+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 karthek <mail@karthek.com>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/blake3]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/blake3
X-Cargo-Crate: blake3
Rules-Requires-Root: no

Package: librust-blake3-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-arrayref-0.3+default-dev (>= 0.3.5-~~),
 librust-arrayvec-0.7+zeroize-dev (>= 0.7.4-~~),
 librust-arrayvec-0.7-dev (>= 0.7.4-~~),
 librust-cc-1+default-dev (>= 1.1.12-~~),
 librust-cfg-if-1+default-dev,
 librust-constant-time-eq-0.3+default-dev,
 librust-digest-0.10+default-dev (>= 0.10.1-~~),
 librust-digest-0.10+mac-dev (>= 0.10.1-~~),
 librust-memmap2-0.9+default-dev,
 librust-rayon-core-1+default-dev (>= 1.12.1-~~),
 librust-serde-1+derive-dev,
 librust-zeroize-1-dev
Provides:
 librust-blake3+default-dev (= ${binary:Version}),
 librust-blake3+mmap-dev (= ${binary:Version}),
 librust-blake3+neon-dev (= ${binary:Version}),
 librust-blake3+no-avx2-dev (= ${binary:Version}),
 librust-blake3+no-avx512-dev (= ${binary:Version}),
 librust-blake3+no-neon-dev (= ${binary:Version}),
 librust-blake3+no-sse2-dev (= ${binary:Version}),
 librust-blake3+no-sse41-dev (= ${binary:Version}),
 librust-blake3+prefer-intrinsics-dev (= ${binary:Version}),
 librust-blake3+pure-dev (= ${binary:Version}),
 librust-blake3+rayon-dev (= ${binary:Version}),
 librust-blake3+serde-dev (= ${binary:Version}),
 librust-blake3+std-dev (= ${binary:Version}),
 librust-blake3+traits-preview-dev (= ${binary:Version}),
 librust-blake3+zeroize-dev (= ${binary:Version}),
 librust-blake3-1-dev (= ${binary:Version}),
 librust-blake3-1+default-dev (= ${binary:Version}),
 librust-blake3-1+mmap-dev (= ${binary:Version}),
 librust-blake3-1+neon-dev (= ${binary:Version}),
 librust-blake3-1+no-avx2-dev (= ${binary:Version}),
 librust-blake3-1+no-avx512-dev (= ${binary:Version}),
 librust-blake3-1+no-neon-dev (= ${binary:Version}),
 librust-blake3-1+no-sse2-dev (= ${binary:Version}),
 librust-blake3-1+no-sse41-dev (= ${binary:Version}),
 librust-blake3-1+prefer-intrinsics-dev (= ${binary:Version}),
 librust-blake3-1+pure-dev (= ${binary:Version}),
 librust-blake3-1+rayon-dev (= ${binary:Version}),
 librust-blake3-1+serde-dev (= ${binary:Version}),
 librust-blake3-1+std-dev (= ${binary:Version}),
 librust-blake3-1+traits-preview-dev (= ${binary:Version}),
 librust-blake3-1+zeroize-dev (= ${binary:Version}),
 librust-blake3-1.5-dev (= ${binary:Version}),
 librust-blake3-1.5+default-dev (= ${binary:Version}),
 librust-blake3-1.5+mmap-dev (= ${binary:Version}),
 librust-blake3-1.5+neon-dev (= ${binary:Version}),
 librust-blake3-1.5+no-avx2-dev (= ${binary:Version}),
 librust-blake3-1.5+no-avx512-dev (= ${binary:Version}),
 librust-blake3-1.5+no-neon-dev (= ${binary:Version}),
 librust-blake3-1.5+no-sse2-dev (= ${binary:Version}),
 librust-blake3-1.5+no-sse41-dev (= ${binary:Version}),
 librust-blake3-1.5+prefer-intrinsics-dev (= ${binary:Version}),
 librust-blake3-1.5+pure-dev (= ${binary:Version}),
 librust-blake3-1.5+rayon-dev (= ${binary:Version}),
 librust-blake3-1.5+serde-dev (= ${binary:Version}),
 librust-blake3-1.5+std-dev (= ${binary:Version}),
 librust-blake3-1.5+traits-preview-dev (= ${binary:Version}),
 librust-blake3-1.5+zeroize-dev (= ${binary:Version}),
 librust-blake3-1.5.4-dev (= ${binary:Version}),
 librust-blake3-1.5.4+default-dev (= ${binary:Version}),
 librust-blake3-1.5.4+mmap-dev (= ${binary:Version}),
 librust-blake3-1.5.4+neon-dev (= ${binary:Version}),
 librust-blake3-1.5.4+no-avx2-dev (= ${binary:Version}),
 librust-blake3-1.5.4+no-avx512-dev (= ${binary:Version}),
 librust-blake3-1.5.4+no-neon-dev (= ${binary:Version}),
 librust-blake3-1.5.4+no-sse2-dev (= ${binary:Version}),
 librust-blake3-1.5.4+no-sse41-dev (= ${binary:Version}),
 librust-blake3-1.5.4+prefer-intrinsics-dev (= ${binary:Version}),
 librust-blake3-1.5.4+pure-dev (= ${binary:Version}),
 librust-blake3-1.5.4+rayon-dev (= ${binary:Version}),
 librust-blake3-1.5.4+serde-dev (= ${binary:Version}),
 librust-blake3-1.5.4+std-dev (= ${binary:Version}),
 librust-blake3-1.5.4+traits-preview-dev (= ${binary:Version}),
 librust-blake3-1.5.4+zeroize-dev (= ${binary:Version})
Description: BLAKE3 hash function - Rust source code
 Source code for Debianized Rust crate "blake3"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test blake3 1.5.4 --all-targets --all-features
Features: test-name=rust-blake3:@
Depends: dh-cargo (>= 18), librust-ciborium-0.2+default-dev (>= 0.2.2-~~), librust-hex-0.4+default-dev (>= 0.4.2-~~), librust-hmac-0.12+default-dev, librust-page-size-0.6+default-dev, librust-rand-0.8+default-dev, librust-rand-chacha-0.3+default-dev, librust-serde-json-1+default-dev (>= 1.0.107-~~), librust-tempfile-3+default-dev (>= 3.8.0-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test blake3 1.5.4 --all-targets
Features: test-name=librust-blake3-dev:default
Depends: dh-cargo (>= 18), librust-ciborium-0.2+default-dev (>= 0.2.2-~~), librust-hex-0.4+default-dev (>= 0.4.2-~~), librust-hmac-0.12+default-dev, librust-page-size-0.6+default-dev, librust-rand-0.8+default-dev, librust-rand-chacha-0.3+default-dev, librust-serde-json-1+default-dev (>= 1.0.107-~~), librust-tempfile-3+default-dev (>= 3.8.0-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test blake3 1.5.4 --all-targets --no-default-features --features mmap
Features: test-name=librust-blake3-dev:mmap
Depends: dh-cargo (>= 18), librust-ciborium-0.2+default-dev (>= 0.2.2-~~), librust-hex-0.4+default-dev (>= 0.4.2-~~), librust-hmac-0.12+default-dev, librust-page-size-0.6+default-dev, librust-rand-0.8+default-dev, librust-rand-chacha-0.3+default-dev, librust-serde-json-1+default-dev (>= 1.0.107-~~), librust-tempfile-3+default-dev (>= 3.8.0-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test blake3 1.5.4 --all-targets --no-default-features --features neon
Features: test-name=librust-blake3-dev:neon
Depends: dh-cargo (>= 18), librust-ciborium-0.2+default-dev (>= 0.2.2-~~), librust-hex-0.4+default-dev (>= 0.4.2-~~), librust-hmac-0.12+default-dev, librust-page-size-0.6+default-dev, librust-rand-0.8+default-dev, librust-rand-chacha-0.3+default-dev, librust-serde-json-1+default-dev (>= 1.0.107-~~), librust-tempfile-3+default-dev (>= 3.8.0-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test blake3 1.5.4 --all-targets --no-default-features --features no_avx2
Features: test-name=librust-blake3-dev:no_avx2
Depends: dh-cargo (>= 18), librust-ciborium-0.2+default-dev (>= 0.2.2-~~), librust-hex-0.4+default-dev (>= 0.4.2-~~), librust-hmac-0.12+default-dev, librust-page-size-0.6+default-dev, librust-rand-0.8+default-dev, librust-rand-chacha-0.3+default-dev, librust-serde-json-1+default-dev (>= 1.0.107-~~), librust-tempfile-3+default-dev (>= 3.8.0-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test blake3 1.5.4 --all-targets --no-default-features --features no_avx512
Features: test-name=librust-blake3-dev:no_avx512
